CVE-2018-19543

high

Description

An issue was discovered in JasPer 2.0.14. There is a heap-based buffer over-read of size 8 in the function jp2_decode in libjasper/jp2/jp2_dec.c.

References

http://lists.opensuse.org/opensuse-security-announce/2020-09/msg00082.html

http://lists.opensuse.org/opensuse-security-announce/2020-09/msg00085.html

https://github.com/mdadams/jasper/issues/182

https://www.oracle.com/security-alerts/cpuapr2020.html

Details

Source: MITRE

Published: 2018-11-26

Updated: 2020-09-25

Type: CWE-125

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH